=== debian/control ===
Source: ros-indigo-rosserial-server
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roscpp, ros-indigo-rosserial-msgs, ros-indigo-std-msgs, ros-indigo-topic-tools
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-rosserial-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-roscpp, ros-indigo-rosserial-msgs, ros-indigo-rosserial-python, ros-indigo-std-msgs, ros-indigo-topic-tools
Description: The rosserial_server package provides a C++ implementation of the rosserial server side, serving as a more performance- and stability-oriented alternative to rosserial_python.
